List captcha types
GET
/captchas/types
const url = 'https://api.clearance.rest/captchas/types';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.clearance.rest/captchas/types \ --header 'X-API-Key: <X-API-Key>'Supported captcha types with their fields, the fields of the solution and the price of 1000 solved captchas.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
success
required
boolean
types
required
Array<object>
A supported captcha type with its request fields, the fields of its solution and its price.
object
type
required
Captcha type.
string
description
required
string
fields
required
Array<object>
object
name
required
string
kind
required
string
requirement
required
Hint fields are passed on when the chosen solver supports them and ignored otherwise.
string
description
required
string
solution_fields
required
Fields of solution in a solved response.
Array<string>
modes
required
Values of mode this type accepts.
Array<string>
Example
{ "success": true, "types": [ { "type": "recaptcha_v2", "fields": [ { "kind": "string", "requirement": "required" } ], "modes": [ "browser" ] } ]}Default Response
Media typeapplication/json
Error envelope returned by every JSON endpoint.
object
success
required
boolean
error
required
object
code
required
Machine-readable error code (snake_case).
string
message
required
Human-readable message.
string
details
Extra context for the error.
object
key
additional properties
Example
{ "success": false}Default Response
Media typeapplication/json
Error envelope returned by every JSON endpoint.
object
success
required
boolean
error
required
object
code
required
Machine-readable error code (snake_case).
string
message
required
Human-readable message.
string
details
Extra context for the error.
object
key
additional properties
Example
{ "success": false}